<html lang="en">
<head>
<title>Language - Sketch</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Sketch">
<meta name="generator" content="makeinfo 4.7">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="Global-environment.html#Global-environment" title="Global environment">
<link rel="prev" href="Frame.html#Frame" title="Frame">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<!--
Copyright (C) 2005, 2006, 2007, 2008 Eugene K. Ressler.

This manual is for `sketch', version 0.2 (build 161),
Tuesday, September 08, 2009, a program that converts descriptions of simple
three-dimensional scenes into static drawings. This version generates
`PSTricks' or `PGF/TikZ' code suitable for use with the
TeX document processing system.

`Sketch' is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3, or (at your option)
any later version.

Sketch is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with `sketch'; see the file COPYING.txt.  If not, see
http://www.gnu.org/copyleft.-->
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc { font-variant:small-caps }
  span.roman { font-family: serif; font-weight: normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Language"></a>Previous:&nbsp;<a rel="previous" accesskey="p" href="Frame.html#Frame">Frame</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="Global-environment.html#Global-environment">Global environment</a>
<hr><br>
</div>

<!-- node-name,  next,  previous,  up -->
<h4 class="subsection">3.4.5 Language</h4>

<p><a name="index-language_002c-output-396"></a><a name="index-output-language-397"></a><a name="index-language-398"></a>
<pre class="example">     language tikz
     language tikz, context
     language pstricks
     language pstricks, latex
</pre>
   <p class="noindent">Sets the output language generated by <code>sketch</code>. 
<a name="index-pstricks-399"></a><a name="index-tikz-400"></a>The set of options understood by sketch also changes.  For example,
the <code>PSTricks</code> option <code>linewidth</code> will not be properly
handled if <code>language</code> is set to <code>tikz</code>.  Similarly, the
<code>TikZ</code> option <code>line style</code> (note the space) will not be
properly handled if <code>language</code> is set to <code>pstricks</code>.  If no
language is specified, the default <code>pstricks</code> is used.

   <p>An optional comma followed by
<code>latex</code>
<a name="index-latex-401"></a>or
<code>context</code>
<a name="index-context-402"></a>specifies the macro package that the output should assume.  This
affects the <code>picture</code> environment commands emitted and the
document template used with the <span class="option">-T</span> option. See <a href="Command-line.html#Command-line">Command line</a>.  Note that at the time this manual was generated,
<code>PSTricks</code> was not supported by LaTeX or by <code>ConTeXt</code>.

   </body></html>

